<?php
/**
 * @package    Tiles
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       10.10.14
 *
 * @copyright  Copyright (C) 2008 - 2014 Yves Hoppe - compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');

$extensionName = 'Tiles';

echo CompojoomHtmlCtemplate::getHead(
	TilesHelperUtils::getMenu(), 'dashboard', 'COM_TILES_DASHBOARD',
	'COM_TILES_SLOGAN_DASHBOARD'
);
?>

<?php if (TILES_PRO && (version_compare(JVERSION, '2.5.19', 'lt') || (version_compare(JVERSION, '3.0.0', 'gt') && version_compare(JVERSION, '3.2.1', 'lt')))):?>
	<div class="alert alert-error">
		<?php echo JText::sprintf('LIB_COMPOJOOM_ERR_OLDJOOMLANOUPDATES', $extensionName); ?>
	</div>
<?php elseif (TILES_PRO && version_compare(JVERSION, '2.5.999', 'lt') && !$this->updatePlugin): ?>
	<div class="alert alert-warning">
		<?php echo JText::sprintf('LIB_COMPOJOOM_ERR_NOPLUGINNOUPDATES', $extensionName, $extensionName); ?>
	</div>
<?php endif; ?>

<?php if($this->needsdlid): ?>
	<div class="alert alert-danger">
		<?php echo JText::_('COM_TILES_DASHBOARD_NEEDSDLID'); ?>
	</div>
<?php elseif ($this->needscoredlidwarning): ?>
	<div class="alert alert-danger">
		<?php echo JText::_('COM_TILES_DASHBOARD_NEEDSUPGRADE'); ?>
	</div>
<?php endif; ?>


	<div id="updateNotice"></div>

	<div class="row">
		<div class="col-md-7">
			<div class=" box-info full">
				<ul class="nav nav-tabs nav-justified">
					<li>
						<a data-toggle="tab" href="#rss">
							<?php echo JText::_('COM_TILES_LATEST_NEWS'); ?>
						</a>
					</li>
					<li class="active">
						<a data-toggle="tab" href="#version">
							<?php echo JText::_('COM_TILES_VERSION'); ?>
						</a>
					</li>
				</ul>

				<div class="tab-content">
					<div id="rss" class="tab-pane">
						<?php echo CompojoomHtmlFeed::renderFeed('https://compojoom.com/about/blog/tags/listings/tiles?format=feed&amp;type=rss'); ?>
					</div>
					<div id="version" class="tab-pane active">
						<?php echo $this->loadTemplate('version'); ?>
					</div>
				</div>
			</div>
		</div>
		<?php if (TilesHelperSettings::getSettings('ads', 1)): ?>
			<div class="col-md-5">
				<div class="box-info">
					<h2>Extensions from compojoom.com</h2>

					<div class="text-center">
						<script type='text/javascript'><!--//<![CDATA[
							var m3_u = (location.protocol == 'https:' ? 'https://matangazo.compojoom.com/www/delivery/ajs.php' : 'http://matangazo.compojoom.com/www/delivery/ajs.php');
							var m3_r = Math.floor(Math.random() * 99999999999);
							if (!document.MAX_used) document.MAX_used = ',';
							document.write("<scr" + "ipt type='text/javascript' src='" + m3_u);
							document.write("?zoneid=1");
							document.write('&amp;cb=' + m3_r);
							document.write('&amp;isPro=' + 0);
							if (document.MAX_used != ',') document.write("&amp;exclude=" + document.MAX_used);
							document.write(document.charset ? '&amp;charset=' + document.charset : (document.characterSet ? '&amp;charset=' + document.characterSet : ''));
							document.write("&amp;loc=" + escape(window.location));
							if (document.referrer) document.write("&amp;referer=" + escape(document.referrer));
							if (document.context) document.write("&context=" + escape(document.context));
							if (document.mmm_fo) document.write("&amp;mmm_fo=1");
							document.write("'><\/scr" + "ipt>");
							//]]>--></script>
						<noscript><a href='http://matangazo.compojoom.com/www/delivery/ck.php?n=a8ed4360&amp;cb=INSERT_RANDOM_NUMBER_HERE'
						             target='_blank'><img
									src='http://matangazo.compojoom.com/www/delivery/avw.php?zoneid=1&amp;cb=INSERT_RANDOM_NUMBER_HERE&amp;n=a8ed4360'
									border='0' alt=''/></a></noscript>
					</div>
				</div>
			</div>
		<?php endif; ?>
	</div>

	<div class="row">
		<div class="col-sm-12">
			<div class="box-info">
				<h4>Tiles for Joomla!</h4>
				<span>
					Copyright &copy; 2012 &ndash; <?php echo date('Y'); ?> Yves Hoppe - <a href="https://compojoom.com">compojoom.com</a>
				</span>
				<br/>
				<br/>

				<strong>
					If you use Tiles, please post a rating and a review at the
					<?php
					$url = 'http://extensions.joomla.org/extensions/calendars-a-events/events/events-management/20323';
					?>
					<a href="<?php echo $url; ?>" target="_blank" title="Tiles - Events for Joomla">Joomla! Extensions Directory</a>.
				</strong>
				<br/>
				<br/>
				<?php echo CompojoomHtmlTemplates::renderSocialMediaInfo(); ?>
				<br/>
				<span class="small">
				Tiles is Free software released under the
				<a href="www.gnu.org/licenses/gpl.html">GNU General Public License</a>
				version 3
				</span>
			</div>
		</div>
	</div>
	<script type="text/javascript">
		(function ($) {
			$(document).ready(function () {
				$.ajax('index.php?option=com_tiles&task=update.updateinfo&tmpl=component', {
					success: function (msg, textStatus, jqXHR) {
						// Get rid of junk before and after data
						var match = msg.match(/###([\s\S]*?)###/);
						data = match[1];

						if (data.length) {
							$('#updateNotice').html(data);
						}
					}
				})
			});
		})(jQuery);
	</script>

<?php
// Show Footer
echo CompojoomHtmlCTemplate::getFooter("");
