<?php
/**
 * @package    Matukio
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       28.09.13
 *
 * @copyright  Copyright (C) 2008 - 2014 Yves Hoppe - compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');

// Changelog
JHtml::_('behavior.framework');
JHtml::_('behavior.modal');

$script = <<<JS
window.addEvent( 'domready' ,  function() {
    $('hs-btn-changelog').addEvent('click', showChangelog);
});

function showChangelog()
{
	var txChangelogElement = $('hs-changelog').clone();

    SqueezeBox.fromElement(
        txChangelogElement, {
            handler: 'adopt',
            size: {
                x: 550,
                y: 500
            }
        }
    );
}
JS;

$document = JFactory::getDocument();
$document->addScriptDeclaration($script, 'text/javascript');

?>
<table width="100%" class="table table-version table-bordered table-striped-offset1 table-condensed">
	<tr>
		<th colspan="2">
			<div class="tiles-logo">
				<a href="https://compojoom.com/joomla-extensions/tiles" target="_blank">
					<img src="<?php echo JUri::root(); ?>media/com_tiles/backend/images/logo.png" align="middle" alt="Tiles for Joomla" class="img-responsive center-block"/>
				</a>
			</div>
		</th>
	</tr>
	<tr>
		<td width="120"><?php echo JText::_('LIB_COMPOJOOM_INSTALLED_VERSION'); ?></td>
		<td>
			<span id="hs-label-version" class="label"><?php echo $this->currentVersion ?></span>&nbsp;
			<a id="hs-btn-changelog" class="btn btn-sm btn-default"
			   title="<?php echo JText::_('LIB_COMPOJOOM_BTN_CHANGELOG'); ?>">
				<i class="fa fa-list"></i>
			</a>

			<a id="hs-btn-reloadupdate" href="index.php?option=com_tiles&task=update.force&<?php echo JFactory::getSession()->getFormToken(); ?>=1"
			   class="btn btn-default btn-sm" title="<?php echo JText::_('LIB_COMPOJOOM_BTN_RELOAD_UPDATE'); ?>">
				<i class="fa fa-repeat"></i>
			</a>

			<!-- CHANGELOG :: BEGIN -->
			<div style="display:none;">
				<div id="hs-changelog" class="compojoom-bootstrap-modal">
					<div class="changelog">
						<?php echo CompojoomChangelogColoriser::colorise(JPATH_COMPONENT_ADMINISTRATOR . '/CHANGELOG.php'); ?>
					</div>
				</div>
			</div>
			<!-- CHANGELOG :: END -->
		</td>
	</tr>
	<tr>
		<td><?php echo JText::_('LIB_COMPOJOOM_RELEASED'); ?></td>
		<td><?php echo $this->releaseDate ?></td>
	</tr>
	<tr>
		<td><?php echo JText::_('LIB_COMPOJOOM_COPYRIGHT'); ?></td>
		<td>2012 - <?php echo date('Y'); ?> <a href="https://compojoom.com" target="_blank">Yves Hoppe - Compojoom</a></td>
	</tr>
	<tr>
		<td><?php echo JText::_('LIB_COMPOJOOM_LICENSE'); ?></td>
		<td><a href="http://www.gnu.org/licenses/gpl.html" target="_blank">GNU GPLv3 or later</a> Paid</td>
	</tr>
</table>