<?php
/**
 * @package    Matukio
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       28.09.13
 *
 * @copyright  Copyright (C) 2008 - 2014 Yves Hoppe - compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.view');

/**
 * Class TilesViewDashboard
 *
 * @since  2.0.0
 */
class TilesViewDashboard extends JViewLegacy
{
	/**
	 * Displays the Dashboard
	 *
	 * @param   string  $tpl  - The template
	 *
	 * @return  mixed|void
	 */
	public function display($tpl = null)
	{
		$updateModel = JModelLegacy::getInstance('Updates', 'TilesModel');

		// Run the automatic database check
		$updateModel->checkAndFixDatabase();

		$this->currentVersion = $updateModel->getVersion();
		$this->updatePlugin = $updateModel->isUpdatePluginEnabled('Tiles');

		// Calculate release date and pass it to template
		JLoader::import('joomla.utilities.date');
		$jDate = new JDate(TILES_DATE);
		$day	= $jDate->format('d');
		$month	= $jDate->format('F');
		$year	= $jDate->format('Y');
		$this->releaseDate = "$day $month $year";

		$this->needsdlid = $updateModel->needsDownloadID();
		$this->needscoredlidwarning = $updateModel->mustWarnAboutDownloadIDInCore();

		// Run the automatic update site refresh
		$updateModel->refreshUpdateSite();

		$this->addToolbar();
		parent::display($tpl);
	}

	/**
	 * Ads the toolbar buttons
	 *
	 * @return void
	 */
	public function addToolbar()
	{
		// Set toolbar items for the page
		JToolBarHelper::title(JText::_('COM_TILES_DASHBOARD'), 'article');
		JToolBarHelper::help('screen.tiles', true);
		JToolBarHelper::preferences('com_tiles');
	}
}
