<?php
/**
 * Tiles
 * @package  Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All      rights reserved
 * @Joomla   ! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version  $Revision: 0.9.0 beta $
 **/

defined('_JEXEC') or die('Restricted access');

$editor = JFactory::getEditor();

if (JVERSION > 3)
{
	JHTML::_('bootstrap.tooltip');
	JHtml::_('formbehavior.chosen', 'select');
}
else
{
	JHTML::_('behavior.tooltip');
}

// Load formvalidator!
JHtml::_('behavior.formvalidation');

// Small css fixes
JFactory::getDocument()->addStyleDeclaration('
		.form-horizontal .control-label {padding-top: 7px;}
		.table td {vertical-align: middle;}
		label {display: inline;}
');

echo CompojoomHtmlCtemplate::getHead(TilesHelperUtils::getMenu(), 'galleries', 'COM_TILES_EDIT_GALLERY', 'COM_TILES_SLOGAN_EDIT_GALLERIES');
?>
<div class="box-info">
	<div id="tiles" class="tiles">
		<form action="index.php" method="post" name="adminForm" id="adminForm" class="form form-validate" enctype="multipart/form-data">
			<fieldset class="adminform">
				<table class="admintable table">
					<tr>
						<td width="200" align="left" class="key">
							<?php echo JText::_('COM_TILES_GALLERY_NAME'); ?>:
						</td>
						<td>
							<input class="form-control required" type="text" name="gallery_name" id="gallery_name" size="50"
							       maxlength="250" value="<?php echo $this->gallery->gallery_name; ?>"/>
						</td>
					</tr>
					<tr>
						<td width="100" class="key">
							<?php echo JText::_('COM_TILES_GALLERY_DESCRIPTION'); ?>:
						</td>
						<td>
							<textarea class="form-control" type="text" cols="20" rows="4" name="description" id="description"
							         ><?php echo $this->gallery->description; ?></textarea>
						</td>
					</tr>
					<tr>
						<td width="100" class="key">
							<?php echo JText::_('COM_TILES_GALLERY_WIDTH'); ?>:
						</td>
						<td>
							<input class="form-control required" type="text" name="tiles_width" id="tiles_width" size="5" maxlength="10"
							       value="<?php echo $this->gallery->tiles_width; ?>"/>
						</td>
					</tr>
					<tr>
						<td width="100" class="key">
							<?php echo JText::_('COM_TILES_GALLERY_HEIGHT'); ?>:
						</td>
						<td>
							<input class="form-control required" type="text" name="tiles_height" id="tiles_height" size="5"
							       maxlength="10" value="<?php echo $this->gallery->tiles_height; ?>"/>
						</td>
					</tr>
					<tr>
						<td width="100" class="key">
							<?php echo JText::_('COM_TILES_GALLERY_FIELDS_HORIZONTAL'); ?>:
						</td>
						<td>
							<input class="form-control required" type="text" name="tiles_fields_horizontal" id="tiles_fields_horizontal"
							       size="5" maxlength="10" value="<?php echo $this->gallery->tiles_fields_horizontal; ?>"/>
						</td>
					</tr>
					<tr>
						<td width="100" class="key">
							<?php echo JText::_('COM_TILES_GALLERY_FIELDS_VERTICAL'); ?>:
						</td>
						<td>
							<input class="form-control required" type="text" name="tiles_fields_vertical" id="tiles_fields_vertical"
							       size="5" maxlength="10" value="<?php echo $this->gallery->tiles_fields_vertical; ?>"/>
						</td>
					</tr>
					<tr>
						<td width="100" class="key">
							<?php echo JText::_('COM_TILES_GALLERY_FIELD_WIDTH'); ?>:
						</td>
						<td>
							<input class="form-control required" type="text" name="single_tile_element_width"
							       id="single_tile_element_width" size="5" maxlength="10"
							       value="<?php echo $this->gallery->single_tile_element_width; ?>"/>
						</td>
					</tr>
				</table>

			</fieldset>
			<input type="hidden" name="id" value="<?php echo $this->gallery->id; ?>"/>
			<input type="hidden" name="controller" value="galleries" />
			<input type="hidden" name="option" value="com_tiles"/>
			<input type="hidden" name="view" value="editgallery"/>
			<input type="hidden" name="model" value="editgallery"/>
			<input type="hidden" name="task" value="editgallery"/>
		</form>
	</div>
</div>
<div class="clr"></div>

<?php
// Show footer
echo CompojoomHtmlCTemplate::getFooter(TilesHelperUtils::getCopyright(false));
