<?php
/**
 * @package    Tiles
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       23.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 * @since      1.0.0
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.view');

/**
 * Class TilesViewEditGallery
 *
 * @since  1.0.0
 */
class TilesViewEditGallery extends JViewLegacy
{
	/**
	 * Displays the gallery edit form
	 *
	 * @param   string  $tpl  - The template
	 *
	 * @return  mixed|void
	 */
	public function display($tpl = null)
	{
		$model = $this->getModel();

		$gallery = $model->getGallery();

		if (!$gallery)
		{
			$gallery = JTable::getInstance('galleries', 'Table');
		}

		$this->gallery = $gallery;

		$this->addToolbar();
		parent::display($tpl);
	}

	/**
	 * Ads the toolbar buttons
	 *
	 * @return void
	 */
	public function addToolbar()
	{
		// Set toolbar items for the page
		JToolBarHelper::title(JText::_('COM_TILES_EDIT_GALLERY'), 'galleries');
		JToolBarHelper::apply('galleries.apply');
		JToolBarHelper::save('galleries.save');
		JToolBarHelper::cancel('galleries.cancel');
		JToolBarHelper::help('screen.galleries', true);
	}
}
