<?php
/**
 * Tiles
 * @package  Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All      rights reserved
 * @Joomla   ! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version  $Revision: 0.9.0 beta $
 **/

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');

if (JVERSION >= 3)
{
	JHtmlBehavior::framework();
}
else
{
	JHTML::_('behavior.mootools');
}

echo CompojoomHtmlCtemplate::getHead(TilesHelperUtils::getMenu(), 'elements', 'COM_TILES_ELEMENTS', 'COM_TILES_SLOGAN_ELEMENTS');

JHTML::_('stylesheet', 'media/com_tiles/backend/css/tiles.css');
JHTML::_('script', 'media/com_tiles/backend/js/elements.js');
JHTML::_('script', 'media/com_tiles/backend/js/Request.File.js');
JHTML::_('script', 'media/com_tiles/backend/js/Form.Upload.js');
JHTML::_('script', 'media/com_tiles/backend/js/Form.MultipleFileInput.js');

$gal = $this->gal;
$tiles = $this->tiles;
$vec = TilesHelperAdmin::generateElementMap($gal, $tiles);
?>
	<script type="text/javascript">
		window.addEvent('domready', function () {
			var div_bg_image_upload = document.id('background_type_image_upload');
			var div_bg_color = document.id('background_type_color');
			var div_bg_choose_image = document.id('background_choose_image');
			var galleryId = document.id('hidden_galleryId').get('value');

			var tiles = new tileElements();
			Joomla.submitbutton = function (action) {
				if (action == 'new') {
					tiles.requestElement.send();
					new Fx.Scroll(window).toElement('tb_element_prop_inner');
				} else if (action == 'refresh') {
					tiles.requestTable.send();
					tiles.requestUnplaced.send();
				}
				return false;
			};

			var upload = new Form.Upload('background_upload', {
				dropMsg: '<?php echo JText::_('COM_TILES_TILE_UPLOAD_DROP_FILES_HERE'); ?>',

				onComplete: function (data) {
					data = JSON.parse(data);
					if (data.success) {
						div_bg_image_upload.setStyle('display', 'none');
						document.id('background_image').set('value', "images/tiles/" + galleryId + "/" + data.fileName);
						document.id('background_type').set('value', 'image');
						div_bg_choose_image.setStyle('display', 'block');
						div_bg_color.setStyle('display', 'none');
						$$('ul.uploadList').set('html', '');
					}
					else{
						alert('Something went wrong with the upload');
					}
				}
			});

			document.id('background_type').addEvent('change', function () {
				var sel = this.get('value');

				if (sel == 'color') {
					div_bg_color.setStyle('display', 'block');
					div_bg_image_upload.setStyle('display', 'none');
					div_bg_choose_image.setStyle('display', 'none');
				} else if (sel == 'image') {
					div_bg_color.setStyle('display', 'none');
					if (document.id('background_image').get('value') == '') {
						div_bg_image_upload.setStyle('display', 'block');
						div_bg_choose_image.setStyle('display', 'block');
					} else {
						div_bg_image_upload.setStyle('display', 'none');
						div_bg_choose_image.setStyle('display', 'block');
					}
				}
			});

			<?php
			if (TilesHelperSettings::getSettings('experimental', 0) == 1)
			{
				echo TilesHelperAdmin::generateTilesJSDrop($tiles);
			}
			?>
		});
	</script>
	<div id="dropable_holder" class="box-info">
		<div id="top_navi">
			<div id="top_navi_chooser" class="filter-select fltrt pull-right">
				<select name="gallery" id="gallery" class="input chzn-single"
				        onchange="self.location.href='index.php?option=com_tiles&view=elements&galleryid='+ $('gallery').value;">
					<?php
					foreach ($this->galleries as $gallery)
					{
						if ($gallery->id == $gal->id)
						{
							echo '<option selected="selected" value="' . $gallery->id . '">' . $gallery->gallery_name . "</option>";
						}
						else
						{
							echo '<option value="' . $gallery->id . '">' . $gallery->gallery_name . "</option>";
						}
					}
					?>
				</select>
			</div>
		</div>

		<!-- The magic begins -->
		<div id="tb_holder" style="height: <?php echo TilesHelperAdmin::calculateHolderHeight($gal); ?>px;">
			<div id="tb_leftlineal">
				<div id="tb_leftlineal_inner">
					<?php
					for ($i = 0; $i < $gal->tiles_fields_vertical; $i++)
					{
						?>
						<div id="tb_leftlineal_<?php echo $i; ?>" class="tb_leftlineal_element" style="height: 70px;">
							<div class="tb_leftlineal_inner">
								<?php echo $i; ?>
							</div>
						</div>
					<?php
					}
					?>
				</div>
			</div>
			<div id="tb_rightholder">
				<div id="tb_lineal">
					<?php
					for ($i = 0; $i < $gal->tiles_fields_horizontal; $i++)
					{
						?>
						<div id="tb_lineal_<?php echo $i; ?>" class="tb_lineal_element" style="width: <?php
						echo TilesHelperAdmin::calculateSingleTileWidth($gal); ?>%;">
							<div class="tb_lineal_inner">
								<?php echo $i; ?>
							</div>
						</div>
					<?php
					}
					?>
				</div>
				<div id="tb_tileshow" tyle="height: <?php echo TilesHelperAdmin::calculateTileShowHeight($gal); ?>px;">
					<div id="tb_drawer">
					</div>
					<div id="tile_table_loader">
						<?php echo JText::_('COM_TILES_LOADING'); ?>
					</div>
				</div>
			</div>
		</div>

		<div id="tb_bottom_holder">
			<!-- New Tile-Elements Hodler -->
			<div id="tb_newelements_holder">
				<div id="tb_newelements_holder_inner">
					<?php
					// Generating unplaced items table
					?>
				</div>
			</div>
			<form id="tile_prop_form" action="index.php?option=com_tiles&view=requests&format=raw&task=saveelement"
			      method="post">

				<!-- Tile Properties -->
				<div id="tb_element_prop">
					<div class="overlay">
						<p>To create a tile click on New Element. To edit a tile, click the tile in the gallery.</p>
					</div>
					<div id="tb_element_prop_inner">
						<legend><?php echo JText::_('COM_TILES_TILE_PROPERTIES'); ?></legend>
						<div id="table_1_prop">
							<table class="table table-hover">
								<tr>
									<td class="key" style="width: 150px;">
										<label for="tile_prop_id"
										       title="<?php echo JText::_('JGLOBAL_FIELD_ID_DESC'); ?>">
											<?php echo JText::_('JGRID_HEADING_ID'); ?>
										</label>
									</td>
									<td>
										<div id="tile_prop_id"></div>
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_tilename"
										       title="<?php echo JText::_('COM_TILES_TILE_NAME_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_NAME'); ?>
										</label>
									</td>
									<td>
										<input class="form-control required" type="text" name="tilename" id="tile_prop_tilename" value=""
										       maxlength="255" title="<?php echo JText::_('COM_TILES_TILE_NAME_DESC'); ?>">
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_title"
										       title="<?php echo JText::_('COM_TILES_TITLE_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TITLE'); ?>
										</label>
									</td>
									<td>
										<input class="form-control" type="text" name="title" id="tile_prop_title" value=""
										       maxlength="255" title="<?php echo JText::_('COM_TILES_TITLE_DESC'); ?>">
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_gallery"
										       title="<?php echo JText::_('COM_TILES_TILE_GALLERY_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_GALLERY'); ?>
										</label>
									</td>
									<td>
										<input class="form-control" type="text" name="galleryId" id="tile_prop_gallery" value=""
										       maxlength="255" title="<?php echo JText::_('COM_TILES_TILE_GALLERY_DESC'); ?>">
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_width"
										       title="<?php echo JText::_('COM_TILES_TILE_WIDTH_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_WIDTH'); ?>
										</label>
									</td>
									<td>
										<input class="form-control" type="text" name="width" id="tile_prop_width" value="1"
										       maxlength="255" title="<?php echo JText::_('COM_TILES_TILE_WIDTH_DESC'); ?>">
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_height"
										       title="<?php echo JText::_('COM_TILES_TILE_HEIGHT_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_HEIGHT'); ?>
										</label>
									</td>
									<td>
										<input class="form-control" type="text" name="height" id="tile_prop_height" value="1"
										       maxlength="255" title="<?php echo JText::_('COM_TILES_TILE_HEIGHT_DESC'); ?>">
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_position"
										       title="<?php echo JText::_('COM_TILES_TILE_POSITION_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_POSITION'); ?>
										</label>
									</td>
									<td>
										<input class="form-control" type="text" name="position" id="tile_prop_position" value=""
										       maxlength="255" title="<?php echo JText::_('COM_TILES_TILE_POSITION_DESC'); ?>">
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="text"
										       title="<?php echo JText::_('COM_TILES_TILE_TEXT_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_TEXT'); ?>
										</label>
									</td>
									<td>
			<textarea class="form-control" type="text" name="text" id="text" rows="6"
			          title="<?php echo JText::_('COM_TILES_TILE_TEXT_DESC'); ?>"></textarea>
										<?php
										//$editor = JFactory::getEditor();
										//echo $editor->display('text', 'text', '300', '200', '60', '20', false);
										?>
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_link"
										       title="<?php echo JText::_('COM_TILES_TILE_LINK_TYPE_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_LINK_TYPE'); ?>
										</label>
									</td>
									<td>
										<?php
										echo $this->select_linktype;
										?>
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_link"
										       title="<?php echo JText::_('COM_TILES_TILE_LINK_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_LINK'); ?>
										</label>
									</td>
									<td>
										<input class="form-control" type="text" name="link" id="tile_prop_link" value=""
										       maxlength="255" title="<?php echo JText::_('COM_TILES_TILE_LINK_DESC'); ?>">
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_linktitle"
										       title="<?php echo JText::_('COM_TILES_TILE_LINKTITLE_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_LINKTITLE'); ?>
										</label>
									</td>
									<td>
										<input class="form-control" type="text" name="linktitle" id="tile_prop_linktitle" value="" size="100"
										       maxlength="255" title="<?php echo JText::_('COM_TILES_TILE_LINKTITLE_DESC'); ?>">
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="background_type"
										       title="<?php echo JText::_('COM_TILES_TILE_BACKGROUND_TYPE_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_BACKGROUND_TYPE'); ?>
										</label>
									</td>
									<td>
										<?php	echo $this->select_background; ?>
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="background_choose_image"
										       title="<?php echo JText::_('COM_TILES_TILE_BACKGROUND_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_BACKGROUND'); ?>
										</label>
									</td>
									<td>
										<div id="background_choose_image">
											<input class="text_area" type="text" name="background_image" id="background_image" value=""
											       size="100" maxlength="255" style="width:200px" title="<?php echo JText::_('COM_TILES_TILE_BACKGROUND_IMAGE_DESC'); ?>">
											<input type="button" class="btn btn-default" onclick="$('background_type_image_upload').setStyle('display', 'block');"
											       value="<?php echo JText::_('COM_TILES_TILE_UPLOAD_NEW'); ?>"/>
										</div>
										<div id="background_type_color" style="display: none;">
											<input class="text_area" type="text" name="background_color" id="background_color" value=""
											       size="100" maxlength="255" style="width:100px" title="<?php echo JText::_('COM_TILES_TILE_BACKGROUND_COLOR_DESC'); ?>">
										</div>
										<input type="hidden" name="background" id="tile_prop_background" value=""/>
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_fontcolor"
										       title="<?php echo JText::_('COM_TILES_TILE_FONTCOLOR_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_FONTCOLOR'); ?>
										</label>
									</td>
									<td>
										<input class="form-control" type="text" name="fontcolor" id="tile_prop_fontcolor" value=""
										       size="100"
										       maxlength="255" title="<?php echo JText::_('COM_TILES_TILE_FONTCOLOR_DESC'); ?>">
									</td>
								</tr>
								<tr>
									<td class="key">
										<label for="tile_prop_overlay"
										       title="<?php echo JText::_('COM_TILES_TILE_OVERLAY_DESC'); ?>">
											<?php echo JText::_('COM_TILES_TILE_OVERLAY'); ?>
										</label>
									</td>
									<td>
										<input class="form-control" type="text" id="tile_prop_overlay" value="" size="100"
										       maxlength="255" name="overlay"
										       title="<?php echo JText::_('COM_TILES_TILE_OVERLAY_DESC'); ?>">
									</td>
								</tr>
							</table>
							<input type="hidden" name="id" id="tile_prop_selected" value="0"/>
							<br/>
							<br/>
							<input id="submit" class="btn btn-default" type="submit" value=" <?php echo JText::_('COM_TILES_SUBMIT'); ?>">
						</div>

						<div id="tile_prop_loader">
							<div id="tile_prop_loader_inner">
								<?php echo JText::_('COM_TILES_TILE_LOADING'); ?>
							</div>
						</div>
						<div id="tp_form_result">
						</div>
					</div>
				</div>
		</div>


		<input type="hidden" name="option" value="com_tiles"/>
		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="view" value="elements"/>
		<input type="hidden" name="boxchecked" value="0"/>
		<input type="hidden" id="hidden_galleryId" name="hidden_galleryId" value="<?php echo $gal->id; ?>"/>
		<?php echo JHTML::_('form.token'); ?>
		</form>
	</div>

	<div id="background_type_image_upload">
		<div id="background_type_image_upload_inner">
			<div style="display: block; text-align: right;">
				<a onclick="$('background_type_image_upload').setStyle('display', 'none');">
					<?php echo JText::_('COM_TILES_CLOSE'); ?>
				</a>
			</div>
			<div class="alert alert-info">
				<?php echo JText::_('COM_TILES_MAKE_SURE_THAT_IMAGES_ARE_PROPERLY_RESIZED'); ?>
			</div>
			<form method="post" action="index.php?option=com_tiles&view=requests&format=raw&task=upload_image"
			      enctype="multipart/form-data">

				<input type="file" name="background_upload" id="background_upload"
					       style="width:300px" title="COM_TILES_TILE_BACKGROUND_UPLOAD_DESC">


				<input type="submit" class="btn btn-default" name="upload" value="<?php echo JText::_('COM_TILES_TILE_UPLOAD_BUTTON'); ?>">

				<input type="hidden" name="galleryId" value="<?php echo $gal->id; ?>"/>
			</form>
		</div>
	</div>
	<div class="clear"></div>


<?php
// Show footer
echo CompojoomHtmlCTemplate::getFooter(TilesHelperUtils::getCopyright(false));
