<?php
/**
 * Tiles
 * @package  Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All      rights reserved
 * @Joomla   ! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version  $Revision: 0.9.0 beta $
 **/

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.view');

// TODO Optimize and move to model & co

/**
 * Class TilesViewElements
 *
 * @since  1.0.0
 */
class TilesViewElements extends JViewLegacy
{
	/**
	 * Displays the form
	 *
	 * @param   string  $tpl  - The template
	 *
	 * @return  mixed|void
	 */
	public function display($tpl = null)
	{
		$galleries = TilesHelperUtils::loadGalleries();

		$id = JFactory::getApplication()->input->getInt('galleryid', 0);
		$gal = null;

		if (!empty($id))
		{
			$gal = TilesHelperUtils::getGallery($id);
		}
		else
		{
			if ($galleries)
			{
				// Fallback to first gallery.. improve
				$gal = $galleries[0];
			}
			else
			{
				JError::raiseError(403, "COM_TILES_ERROR_NO_GALLERIES");
			}
		}

		$tiles = TilesHelperUtils::loadTiles($gal->id);

		// Select Options
		$bg_type_options = array(
			JHTML::_('select.option', 'image', JText::_('COM_TILES_BACKGROUND_TYPE_IMAGE')),
			JHTML::_('select.option', 'color', JText::_('COM_TILES_BACKGROUND_TYPE_COLOR'))
		);

		$select_background = JHTML::_('select.genericlist', $bg_type_options, 'background_type', 'class="form-control"', 'value', 'text', 'image');

		$link_type_options = array(
			JHTML::_('select.option', 'absolute', JText::_('COM_TILES_LINK_TYPE_ABSOLUTE_LINK')),
			JHTML::_('select.option', 'buttons', JText::_('COM_TILES_LINK_TYPE_BUTTONS')),
			JHTML::_('select.option', 'none', JText::_('COM_TILES_LINK_TYPE_NONE'))

		);

		$select_linktype = JHTML::_('select.genericlist', $link_type_options, 'linktype', 'class="form-control"', 'value', 'text', 'absolute');

		// Tiles in this gallery
		$this->tiles = $tiles;

		// Active Gallery
		$this->gal = $gal;

		// All galleries, not needed?!
		$this->galleries = $galleries;

		// Select Options
		$this->select_background = $select_background;
		$this->select_linktype = $select_linktype;

		$this->addToolbar();
		parent::display($tpl);
	}

	/**
	 * Adds the toolbar
	 *
	 * @return  void
	 */
	public function addToolbar()
	{
		// Set toolbar items for the page
		JToolBarHelper::title(JText::_('COM_TILES_ELEMENTS'), 'elements');
		JToolBarHelper::custom('new', 'new', 'new', 'COM_TILES_NEW_ELEMENT', false, false);
		JToolBarHelper::custom('refresh', 'refresh', 'refresh', 'COM_TILES_REFRESH_TABLE', false, false);
	}
}
