<?php
/**
 * @package    Tiles
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       23.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 * @since      1.0.0
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.filter.output');

JHTML::_('behavior.multiselect');

if (JVERSION > 2.5)
{
	JHtml::_('formbehavior.chosen', 'select');
}

$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$filterStatus = $this->escape($this->state->get('filter.status'));

echo CompojoomHtmlCtemplate::getHead(TilesHelperUtils::getMenu(), 'galleries', 'COM_TILES_GALLERIES', 'COM_TILES_SLOGAN_GALLERIES');
?>
<?php if (!TILES_PRO): ?>
	<?php if ($this->pagination->total < 3) : ?>
		<div class="alert alert-info">
			<?php echo JText::sprintf('COM_TILES_CORE_VERSION_LIMIT_3_GALLERIES', 'https://compojoom.com/joomla-extensions/tiles'); ?>
		</div>
	<?php else : ?>
		<div class="alert alert-info">
			<?php echo JText::sprintf('COM_TILES_CORE_VERSION_NEED_MORE_THAN_3_GALLERIES', $this->pagination->total, 'https://compojoom.com/joomla-extensions/tiles'); ?>
		</div>
	<?php endif; ?>
<?php endif; ?>
<div class="box-info">
	<form action="<?php echo JRoute::_("index.php?option=com_tiles&view=galleries"); ?>" method="post" name="adminForm" id="adminForm">

		<div id="filter-bar" class="btn-toolbar">
			<div class="filter-search fltlft btn-group pull-left">
				<label class="filter-search-lbl element-invisible"
				       for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>

				<input type="text" name="filter_search" id="filter_search"
				       value="<?php echo $this->escape($this->state->get('filter.search')); ?>"
				       title="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>"
				       placeholder="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>" accept=""
				       class="text" />

			</div>

			<div class="btn-group pull-left hidden-phone">
				<?php if (JVERSION > 2.5) : ?>
					<button class="btn" type="submit"><i class="icon-search"></i></button>
					<button class="btn" type="button"
					        onclick="document.id('filter_search').value='';this.form.submit();"><i
							class="icon-remove"></i>
					</button>
				<?php else : ?>
					<button class="btn" type="submit"
					        style="margin:0"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
					<button class="btn" type="button" style="margin:0"
					        onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
				<?php endif; ?>
			</div>

			<div class="filter-select fltrt pull-right">
				<select name="filter_status" class="inputbox chzn-single" onchange="this.form.submit()">
					<option value=""><?php echo JText::_('COM_TILES_ALL_GALLERIES'); ?></option>

					<?php
					$subpub = $subunp = "";

					if ($filterStatus == "published")
					{
						$subpub = ' selected="selected" ';
					}
					elseif ($filterStatus == "unpublished")
					{
						$subunp = ' selected="selected "';
					}
					?>
					<option value="published" <?php echo $subpub; ?>>
						<?php echo JText::_('COM_TILES_PUBLISHED'); ?>
					</option>
					<option value="unpublished" <?php echo $subunp; ?>>
						<?php echo JText::_('COM_TILES_UNPUBLISHED'); ?>
					</option>
				</select>
			</div>
		</div>

		<div class="clr"></div>

		<table class="adminlist table table-hover">
			<thead>
			<tr>
				<th width="5">#</th>
				<th width="5">
					<input type="checkbox" name="toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>"
					       onclick="Joomla.checkAll(this);"/>
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort', 'COM_TILES_GALLERY_NAME', 'cc.gallery_name', $listDirn, $listOrder); ?>
				</th>
				<th width="5%">
					<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ID', 'cc.id', $listDirn, $listOrder); ?>
				</th>
				<th width="20%">
					<?php echo JHtml::_('grid.sort', 'JGLOBAL_DESCRIPTION', 'cc.description', $listDirn, $listOrder); ?>
				</th>
				<th width="5%">
					<?php echo JText::_('COM_TILES_GALLERY_ELEMENTS'); ?>
				</th>
				<th width="40%">
					<?php echo JText::_('COM_TILES_GALLERY_LAYOUT'); ?>
				</th>
				<th width="5%" nowrap="nowrap">
					<?php echo JText::_('JPUBLISHED'); ?>
				</th>
			</tr>
			</thead>
			<tfoot>
			<tr>
				<td colspan="8"><?php echo $this->pagination->getListFooter(); ?></td>
			</tr>
			</tfoot>
			<tbody>
			<?php
			foreach ($this->items as $i => $l)
			{
				$checked = JHTML::_('grid.id', $i, $l->id);
				$published = JHTML::_('grid.published', $l, $i, 'tick.png', 'publish_x.png', 'galleries.');

				$link = JRoute::_('index.php?option=com_tiles&task=galleries.editGallery&id=' . $l->id);
				?>
				<tr class="<?php echo "row" . $i % 2; ?>">
					<td><?php echo $this->pagination->getRowOffset($i); ?></td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
						<a href="<?php echo $link; ?>"><?php echo $l->gallery_name; ?></a>
					</td>
					<td align="center">
						<?php echo $l->id; ?>
					</td>
					<td align="center">
						<?php echo $l->description; ?>
					</td>
					<td align="center">
						<?php echo TilesHelperAdmin::countTileElements($l->id); ?>
					</td>
					<td>
						<?php echo TilesHelperAdmin::getAGalleryLayout($l); ?>
					</td>
					<td align="center">
						<?php echo $published; ?>
					</td>
				</tr>
				<?php
			}
			?>
			</tbody>
		</table>

		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="boxchecked" value="0"/>
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
		<?php echo JHTML::_('form.token'); ?>
	</form>
</div>
<div class="clear"></div>
<?php
// Show footer
echo CompojoomHtmlCTemplate::getFooter(TilesHelperUtils::getCopyright(false));