<?php
/**
 * @package    Tiles
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       23.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.view');

/**
 * Class TilesViewGalleries
 *
 * @since  1.0.0
 */
class TilesViewGalleries extends JViewLegacy
{
	/**
	 * Displays the s overview list
	 *
	 * @param   string $tpl - The template
	 *
	 * @return  mixed|void
	 */
	public function display($tpl = null)
	{
		$this->items = $this->get('Items');
		$this->state = $this->get('state');
		$this->status = $this->get('status');
		$this->pagination = $this->get('Pagination');

		$filter_state2 = JFactory::getApplication()->getUserStateFromRequest('com_tiles.galleries.list.' . 'filter_state', 'filter_state', '', 'word');
		$this->filter['state'] = JHTML::_('grid.state', $filter_state2, 'JPUBLISHED', 'JUNPUBLISHED');

		$this->addToolbar();
		parent::display($tpl);
	}

	/**
	 * Ads the toolbar buttons
	 *
	 * @return void
	 */
	public function addToolbar()
	{
		// Set toolbar items for the page
		JToolBarHelper::title(JText::_('COM_TILES_GALLERIES'), 'galleries');

		if (TILES_PRO || (!TILES_PRO && $this->pagination->total < 3))
		{
			JToolBarHelper::addNew('galleries.editGallery');
		}

		JToolBarHelper::editList('galleries.editGallery');
		JToolBarHelper::publishList('galleries.publish');
		JToolBarHelper::unpublishList('galleries.unpublish');
		JToolBarHelper::deleteList(JText::_('COM_TILES_DO_YOU_REALLY_WANTO_TO_REMOVE_THIS_GALLERY'), 'galleries.remove');
	}
}
