<?php
/**
 * Tiles
 * @package  Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All      rights reserved
 * @Joomla   ! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version  $Revision: 0.9.0 beta $
 **/
defined('_JEXEC') or die('Restricted access');
$input = JFactory::getApplication()->input;

$task = $input->get('task', null);

// checking if task is set
if (!$task)
{
	echo "No task specified";

	return;
}

if ($task == 'loadelement')
{
	// Get the category id
	$id = $input->getInt('id', 0);

	if (empty($id))
	{
		echo "No GalleryId given";

		return;
	}

	$atile = TilesHelperUtils::getATile($id);

	if (empty($atile))
	{
		echo "no Tiles found";

		return;
	}

	// Get the document object.
	$document = JFactory::getDocument();

	// Set the MIME type for JSON output.
	$document->setMimeEncoding('application/json');

	// Change the suggested filename.
	JResponse::setHeader('Content-Disposition', 'attachment;filename=element.json"');

	// Output the JSON data.
	echo json_encode($atile);
}
else if ($task == 'saveelement')
{
	$post = JFactory::getApplication()->input->getArray($_POST);

	// The post array has automatically applied a filter to text, override it here
	$post['text'] = JFactory::getApplication()->input->get('text', '', 'raw');
	$id = $input->getInt('id', 0);

	$row = JTable::getInstance('Elements', 'Table');
	$row->bind($post);

	if (!$row->bind($post))
	{
		echo JText::_('COM_TILES_ATILE_ERROR_SAVING');
		echo $row->getErrorMsg();

		return;
	}

	if (!$row->check())
	{
		echo JText::_('COM_TILES_ATILE_ERROR_SAVING');
		echo $row->getErrorMsg();

		return;
	}

	if (!$row->store())
	{
		echo JText::_('COM_TILES_ATILE_ERROR_SAVING');
		echo $row->getErrorMsg();

		return;
	}

	$json['message'] = JText::_('COM_TILES_ATILE_SAVED');
	$json['tile'] = TilesHelperUtils::getATile($row->id);

	echo json_encode($json);

}
else if ($task == 'newelement')
{
	//echo "Creating new Element";
	$gid = $input->getInt('galleryId', 0);

	if (empty($gid))
	{
		echo JText::_('COM_TILES_ATILE_NO_GALLERYID');

		return;
	}

	$atile = array();
	$atile['id'] = null;
	$atile['tilename'] = "New Element";
	$atile['title'] = "";
	$atile['galleryId'] = $gid;
	$atile['width'] = 1;
	$atile['height'] = 1;
	$atile['position'] = null;
	$atile['text'] = "";
	$atile['linktype'] = "absolute";
	$atile['link'] = "";
	$atile['linktitle'] = "";
	$atile['background_type'] = "color";
	$atile['background'] = "#ccc";
	$atile['fontcolor'] = "";
	$atile['overlay'] = "";
	$atile['published'] = 1;
	$row = JTable::getInstance('Elements', 'Table');
	$row->bind($atile);

	if (!$row->bind($atile))
	{
		echo JText::_('COM_TILES_ATILE_ERROR_SAVING');
		echo $row->getErrorMsg();

		return;
	}

	if (!$row->check())
	{
		echo JText::_('COM_TILES_ATILE_ERROR_SAVING');
		echo $row->getErrorMsg();

		return;
	}

	if (!$row->store())
	{
		echo JText::_('COM_TILES_ATILE_ERROR_SAVING');
		echo $row->getErrorMsg();

		return;
	}

	$atile = TilesHelperUtils::getATile($row->id);

	if (empty($atile))
	{
		return;
	}

	json_encode($atile);

	// Get the document object.
	$document = JFactory::getDocument();

	// Set the MIME type for JSON output.
	$document->setMimeEncoding('application/json');

	// Change the suggested filename.
	JResponse::setHeader('Content-Disposition', 'attachment;filename=element' . '.json"');

	// Output the JSON data.
	echo json_encode($atile);
}
else if ($task == 'generateTable')
{
	$gid = $input->getInt('galleryId', 0);

	if (empty($gid))
	{
		// ADD Error
		echo JText::_('COM_TILES_ATILE_NO_GALLERYID');

		return;
	}

	$gal = TilesHelperUtils::getGallery($gid);
	$tiles = TilesHelperUtils::loadTiles($gid);
	$vec = TilesHelperAdmin::generateElementMap($gal, $tiles);
	// Vertical Fields
	for ($i = 0; $i < $gal->tiles_fields_vertical; $i++)
	{
		$class_even = "";
		if (($i + 1) % 2 == 0)
		{
			$class_even = " tb_vertical_even";
		}
		echo "<div id=\"tb_vertical_" . $i . '" class="tb_vertical_element' . $class_even . "\">\n";
		// Horizontal Fields
		for ($j = 0; $j < $gal->tiles_fields_horizontal; $j++)
		{
			$emptyel = "";
			if (!TilesHelperAdmin::isElementHolderPopulated($vec, $i, $j))
			{
				$emptyel = " tb_drawer_empty";
			}
			echo "<div id=\"tile_drawerelement_" . $i . '_' . $j . '" class="tb_drawerelement' . $emptyel . "\"
                                            style=\"width:" . TilesHelperAdmin::calculateSingleTileWidth($gal) . "%;\"\n>";
			echo "<div class=\"tb_drawerelement_inner\">\n";
			//echo $i . ' ' . $j;
			echo "</div>\n";
			echo "</div>\n";
		}
		echo "</div>\n";
	}
	?>
	<!-- Tile-Elements -->
	<?php
	for ($i = 0; $i < count($tiles); $i++)
	{
		$t = $tiles[$i];
		// Check if element is initialised already
		if ($t->position != null)
		{
			?>
			<div id="tile_element_<?php echo $t->id; ?>" class="tb_tile_element"
			     style="<?php echo TilesHelperAdmin::getATileStyle($t, $gal); ?>">
				<div class="tb_tile_element_inner">
					<div class="tb_tile_element_inner_bg"
					     style="<?php echo TilesHelperAdmin::getATileStyleInner($t, $gal); ?>">
						<?php echo $t->tilename . " (" . $t->id . ")"; ?>
						<a id="tb_open_<?php echo $t->id; ?>" class="tb_tile_element_link"
						   href="#<?php echo $t->id; ?>"></a>
					</div>
				</div>
			</div>
		<?php
		}
	}

}
else if ($task == 'generateUnplacedItems')
{
	$gid = $input->getInt('galleryId', 0);

	if (empty($gid))
	{
		// ADD Error
		echo JText::_('COM_TILES_ATILE_NO_GALLERYID');

		return;
	}

	$tiles = TilesHelperUtils::loadTiles($gid);
	$gal = TilesHelperUtils::getGallery($gid);

	?>
	<legend><?php echo JText::_('COM_TILES_UNPLACED_ELEMENTS'); ?></legend>
	<?php
	$tucount = 0;
	for ($i = 0; $i < count($tiles); $i++)
	{
		if (empty($tiles[$i]->position))
		{
			$t = $tiles[$i];
			?>
			<div id="tile_element_<?php echo $t->id; ?>" class="tb_tile_element_unplaced"
			     style="<?php echo TilesHelperAdmin::getATileStyleUnplaced($t, $gal); ?>">
				<div class="tb_tile_element_inner">
					<div class="tb_tile_element_inner_bg"
					     style="<?php echo TilesHelperAdmin::getATileStyleInner($t, $gal); ?>">
						<?php echo $t->tilename . " (" . $t->id . ")"; ?>
						<a id="tb_open_<?php echo $t->id; ?>" class="tb_tile_element_link_unplaced"
						   href="#<?php echo $t->id; ?>"></a>
					</div>
				</div>
			</div>
			<?php
			$tucount++;
		}
	}
	if ($tucount == 0)
	{
		?>
		<div id="tb_no_unplaced_items">
			<div id="tb_no_unplaced_items_inner">
				<?php echo JText::_('COM_TILES_NO_UNPLACED_ELEMENTS'); ?>
			</div>
		</div>
	<?php
	}
}
else if ($task == 'upload_image')
{
	jimport('joomla.filesystem.file');
	jimport('joomla.filesystem.folder');

	$galleryId = $input->getInt('galleryId', 222);

	if (empty($galleryId))
	{
		// ADD Error
		echo JText::_('COM_TILES_ATILE_NO_GALLERYID');
		return;
	}

	$fieldName = 'background_upload';

	$fileError = $_FILES[$fieldName]['error'];
	if ($fileError > 0)
	{
		switch ($fileError)
		{
			case 1:
				echo JText::_('FILE TO LARGE THAN PHP INI ALLOWS');
				return;

			case 2:
				echo JText::_('FILE TO LARGE THAN HTML FORM ALLOWS');
				return;

			case 3:
				echo JText::_('ERROR PARTIAL UPLOAD');
				return;

			case 4:
				echo JText::_('ERROR NO FILE');
				return;
		}
	}

	//check the file extension is ok
	$fileName = $_FILES[$fieldName]['name'][0];
	$uploadedFileNameParts = explode('.', $fileName);
	$uploadedFileExtension = array_pop($uploadedFileNameParts);

	$validFileExts = explode(',', 'jpeg,jpg,png,gif');

	//assume the extension is false until we know its ok
	$extOk = false;

	//go through every ok extension, if the ok extension matches the file extension (case insensitive)
	//then the file extension is ok

	//JFolder::create(JPATH_SITE . "/images/tiles/uploadingfolder_" . $fileName . "_UU");
	foreach ($validFileExts as $key => $value)
	{

		if (preg_match("/$value/i", $uploadedFileExtension))
		{
			$extOk = true;
		}
	}

//    if($extOk == false) {
//        JFolder::create(JPATH_SITE . "/images/tiles/uploadingfolder_4" . $fileName[0] . "_FALSE");
//    } else {
//        JFolder::create(JPATH_SITE . "/images/tiles/uploadingfolder_4" . $fileName[0] . "_TRUE");
//    }
	if ($extOk == false)
	{
		echo JText::_('INVALID EXTENSION');
		return;
	}


	//the name of the file in PHP's temp directory that we are going to move to our folder
	$fileTemp = $_FILES[$fieldName]['tmp_name'][0];

	//for security purposes, we will also do a getimagesize on the temp file (before we have moved it
	//to the folder) to check the MIME type of the file, and whether it has a width and height
	$imageinfo = getimagesize($fileTemp);

	//we are going to define what file extensions/MIMEs are ok, and only let these ones in (whitelisting), rather than try to scan for bad
	//types, where we might miss one (whitelisting is always better than blacklisting)
	$okMIMETypes = 'image/jpeg,image/pjpeg,image/png,image/x-png,image/gif';
	$validFileTypes = explode(",", $okMIMETypes);

	//if the temp file does not have a width or a height, or it has a non ok MIME, return
	if (!is_int($imageinfo[0]) || !is_int($imageinfo[1]) || !in_array($imageinfo['mime'], $validFileTypes))
	{
		echo JText::_('INVALID FILETYPE');
		return;
	}


	//if the temp file does not have a width or a height, or it has a non ok MIME, return
	if (!is_int($imageinfo[0]) || !is_int($imageinfo[1]) || !in_array($imageinfo['mime'], $validFileTypes))
	{
		echo JText::_('INVALID FILETYPE');
		return;
	}

	//lose any special characters in the filename
	$fileName = preg_replace("/[^A-Za-z0-9\.]/i", "_", $fileName);

	//always use constants when making file paths, to avoid the possibilty of remote file inclusion

	$upload_dir = JPATH_SITE . '/images/tiles/' . $galleryId;

	if (!JFolder::exists($upload_dir))
	{
		JFolder::create($upload_dir);
	}

	$uploadPath = $upload_dir . "/" . $fileName;

	if (!JFile::upload($fileTemp, $uploadPath))
	{
		echo JText::_('ERROR MOVING FILE');
		return;
	}
	else
	{

		echo json_encode(array(
			'success' => true,
			'fileName' => $fileName
		));

		// success, exit with code 0 for Mac users, otherwise they receive an IO Error
		JFactory::getApplication()->close();
	}
}
jexit();