var tileElements = new Class({

    initialize:function () {
        var self = this;

        this.tp_load = $('tile_prop_loader');
        this.te_load = $('tile_table_loader');
        this.te_overlay = $$('#tb_element_prop .overlay')[0];
        this.gId = document.id('gallery').get('value');

        this.tileEvents();

        this.initTable();
        this.initUnplaced();

        this.requestTable.send();
        this.requestUnplaced.send();

        this.initForm();
        this.initNewElement();

    },

    initNewElement: function() {
        var self = this;
        this.requestElement = new Request.JSON({
            url:'index.php?option=com_tiles&view=requests',
            data:'format=raw&task=newelement&galleryId=' + this.gId,

            onRequest:function () {
                self.tp_load.setStyle('display', 'block');
            },

            onSuccess:function (ele) {
                self.te_overlay.destroy();
                self.setFormContent(ele);
                self.tp_load.setStyle('display', 'none');
                self.requestUnplaced.send();
            },

            onFailure:function (xhr) {
                self.tp_load.set('text', 'Sorry, your request for a new element failed. Status: ' + xhr.status + " (" + xhr.responseText) + ")";
            }
        });
    },

    initTable:function () {
        this.requestTable = new Request.HTML({

            url:'index.php?option=com_tiles&view=requests&format=raw&task=generateTable&galleryId=' + this.gId,

            link: 'cancel',
            onRequest:function () {
                this.te_load.setStyle('display', 'block');
            }.bind(this),

            onSuccess:function (responseTree, responseElements, responseHTML, responseJavaScript) {
                $('tb_drawer').set('html', responseHTML);
                // Adding Tile Elements Events

                this.te_load.setStyle('display', 'none');
            }.bind(this),

            // Our request will most likely succeed, but just in case, we'll add an
            // onFailure method which will let the user know what happened.
            onFailure:function (xhr) {
                $('tb_drawer').set('text', 'The request failed. Status ' + xhr.status);
                $('tb_drawer').set(JSON.encode(xhr));
            }
        });
    },

    initUnplaced:function () {
        this.requestUnplaced = new Request.HTML({

            url:'index.php?option=com_tiles&view=requests&format=raw&task=generateUnplacedItems&galleryId=' + this.gId,
//            async: false,
            link: 'cancel',
            onRequest:function () {
                this.te_load.setStyle('display', 'block');
            }.bind(this),

            onSuccess:function (responseTree, responseElements, responseHTML, responseJavaScript) {
                $('tb_newelements_holder_inner').set('html', responseHTML);
                this.te_load.setStyle('display', 'none');
            }.bind(this),

            // Our request will most likely succeed, but just in case, we'll add an
            // onFailure method which will let the user know what happened.
            onFailure:function (xhr) {
                $('tb_newelements_holder_inner').set('text', 'The request failed. ' + xhr.status);
                $('tb_newelements_holder_inner').set(JSON.encode(xhr));
            }
        });
//        unplacedtable.send();
    },

    initForm:function () {
        var self = this;

        var formRequest = new Request.JSON({

            url:'index.php?option=com_tiles&view=requests&format=raw&task=saveelement',
            data:$('tile_prop_form'),
            onSend:function () {
                self.tp_load.setStyle('display', 'block');
                $('background').set('')
            },
            onSuccess:function (ele) {
                document.id('tp_form_result').set('html', ele.message);
                self.setFormContent(ele.tile);
                self.tp_load.setStyle('display', 'none');

                self.requestTable.send();
                self.requestUnplaced.send();
            },

            onFailure:function (xhr) {
                self.tp_load.setStyle('display', 'none');
                $('tp_form_result').set('text', 'Sorry, your request failed. Status: '+ xhr.status);
            }
        });

        $('tile_prop_form').addEvent('submit', function () {

            //alert($('tile_prop_background').get('value'));

            if($('background_type').get('value') == 'color') {
                var val = $('background_color').get('value');
                $('tile_prop_background').set('value', val);
            } else if ($('background_type').get('value') == 'image') {
                var vali = $('background_image').get('value');
                $('tile_prop_background').set('value', vali);
            }

            formRequest.send();
            return false;
        });
    },

    tileEvents:function () {
        var self = this;
        document.id('tb_drawer').addEvent('click:relay(div.tb_tile_element)', function (event) {
            var id = this.get('id');
            id = id.replace("tile_element_", "");
            //loadElement(id);
            self.loadTile(id);
        });
        document.id('tb_newelements_holder').addEvent('click:relay(div.tb_tile_element_unplaced)', function (event) {
            var id = this.get('id');
            id = id.replace("tile_element_", "");
            self.loadTile(id);
        });

    },

    loadTile:function (id) {
        var self = this;
        new Request.JSON({
            url:'index.php?',
            data:'option=com_tiles&view=requests&format=raw&task=loadelement&id=' + id,
            onRequest:function () {
                self.te_load.setStyle('display', 'block');
            },
            onSuccess:function (ele) {
                self.te_overlay.destroy();
                self.setFormContent(ele);
                self.te_load.setStyle('display', 'none');
            },
            onFailure:function (xhr) {
                self.te_load.set('text', 'Sorry, your request failed. Status: ' + xhr.status);
            }
        }).send();
    },

    setFormContent:function (content) {
        var div_bg_image_upload = $('background_type_image_upload');
        var div_bg_color = $('background_type_color');
        var div_bg_choose_image = $('background_choose_image');

        $('tile_prop_id').set('text', content.id);
        $('tile_prop_tilename').set('value', content.tilename);
        $('tile_prop_title').set('value', content.title);
        $('tile_prop_gallery').set('value', content.galleryId);
        $('tile_prop_width').set('value', content.width);
        $('tile_prop_height').set('value', content.height);
        $('tile_prop_position').set('value', content.position);
        $('text').set('value', content.text);
        $('linktype').set('value', content.linktype);
        $('tile_prop_link').set('value', content.link);
        $('tile_prop_linktitle').set('value', content.linktitle);
        $('background_type').set('value', content.background_type);

        if(content.background_type == 'image'){
            if(content.background == '') {
                div_bg_image_upload.setStyle('display', 'block');
                div_bg_color.setStyle('display', 'none');
                div_bg_choose_image.setStyle('display', 'block');
                $('background_color').set('value', '');
                $('background_image').set('value', '');
            } else {
                div_bg_image_upload.setStyle('display', 'none');
                div_bg_color.setStyle('display', 'none');
                div_bg_choose_image.setStyle('display', 'block');
                $('background_image').set('value', content.background);
                $('background_color').set('value', '');
            }
        } else if (content.background_type == 'color'){
            div_bg_image_upload.setStyle('display', 'none');
            div_bg_color.setStyle('display', 'block');
            div_bg_choose_image.setStyle('display', 'none');

            $('background_color').set('value', content.background);
            $('background_image').set('value', '');
        }

        $('tile_prop_background').set('value', content.background);
        $('tile_prop_fontcolor').set('value', content.fontcolor);
        $('tile_prop_overlay').set('value', content.overlay);
        $('tile_prop_selected').set('value', content.id);
    }

});