<?php
/**
 * @package    Tiles
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       10.10.14
 *
 * @copyright  Copyright (C) 2008 - 2014 Yves Hoppe - compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

// no direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.model');

// Load Helpers
JLoader::discover('TilesHelper', JPATH_ADMINISTRATOR . '/components/com_tiles/helpers');
require_once( dirname(__FILE__). '/helper.php' );

// Load Compojoom library
require_once JPATH_LIBRARIES . '/compojoom/include.php';

JTable::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_tiles/tables' );
JTable::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_tiles/elements' );

// Load Basic css and JS
JHTML::_('stylesheet', 'media/mod_tiles/css/basic.css');

// Module class
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
?>
<!-- START Tiles by compojoom.com  -->
<div class="tilesgroup<?php echo $moduleclass_sfx ?>">
<?php
    // Params for individual module template
    if($params->get('template', '0') != '0') {
        if($params->get('template', '0') == '1')
        {
            require JModuleHelper::getLayoutPath('mod_tiles', 'modern');
        }
        else if($params->get('template', '0') == '2')
        {
            require JModuleHelper::getLayoutPath('mod_tiles', 'compojoom');
        }
    } else {
        // Get the default Template set in the backend
        require JModuleHelper::getLayoutPath('mod_tiles', TilesHelperUtils::getTemplateName(
	        TilesHelperSettings::getSettings('default_template', '0'))
        );
    }
?>
</div>
<!-- END Tiles by compojoom.com  -->